Welcome to the new Gigaspaces XAP forum. To recover your account, please follow these instructions.

Ask Your Question
0

XAP7.1 and jdk1.7 problem

Hello, We are trying to move all our servers to jdk1.7 (u3) and I am evaluating if gigaspaces-xap-premium-7.1.2 would be able to run under jdk 1.7.

On the server side (Linux) I had no problems, on the gs-ui side (also Linux) however, I receive java.lang.IllegalStateException when I try to query the space. The same thing is working if I change back to jdk1.6.0_18.

Is there a hotfix for this problem? Will I be able to run XAP7.1 with the official jdk1.7?

I attached the exception to this post.

Thank you, Gaspar h4. Attachments

[exception.txt|/upfiles/13759702921547355.txt]

{quote}This thread was imported from the previous forum. For your reference, the original is [available here|http://forum.openspaces.org/thread.jspa?threadID=3851]{quote}

asked 2012-04-25 20:17:19 -0500

gsinai gravatar image

updated 2013-08-08 09:52:00 -0500

jaissefsfex gravatar image
edit retag flag offensive close merge delete

1 Answer

Sort by ยป oldest newest most voted
0

I don't think there is a fix for this.
Shay

answered 2012-04-25 21:01:42 -0500

shay hassidim gravatar image
edit flag offensive delete link more

Comments

We ugraded to 9.0.0 and it works perfectly with jdk1.7.
Thank you,
Gaspar

gsinai gravatar imagegsinai ( 2012-06-06 00:11:42 -0500 )edit

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

1 follower

Stats

Asked: 2012-04-25 20:17:19 -0500

Seen: 21 times

Last updated: Apr 25 '12